QGIS Application - Bug report #14467
QGIS Desktop 2.14 breaking shapefiles during session
2016-03-12 01:26 PM - Andrew Abbott

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:2.14.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corruptsdata: Copied to github as #: 22445
Description

| am using QGIS Essen 2.14.0 and doing some digitising. When part-way through a session, and when | pan the map (although possibly
notr limited to this), | am suddenly losing several of the shapefiles which | had been working on in the session. This is only happening to
shapefiles which | had been editing in the session. Crucially, this seems to be happening even when | am not currently editing the
shapefiles.

Even if | immediately close the map document without saving, and reopen the document, the shapefiles are unable to be loaded and | get
the 'handle bad layers' prompt. If | then try to add the shapefiles manually, | get the error message 'Invalid Data Source: filename.shp is
not a valid or recognized data source'.

This is despite the fact that all five constituent parts of the file still exist.

| do not get this issue if | revert to using 2.12.

History

#1 - 2016-04-09 10:23 AM - Giovanni Manghi

- Target version deleted (Version 2.14)

- Priority changed from Severe/Regression to High
- Status changed from Open to Feedback

Hi, it is a blocker if it is a regression, and we should confirm it. Please attach sample data, ideally a shapefile that is ok and its corrupted copy. Also it would

be very good to know what exact steps are needed to replicate this issue, and also to know if you are using 3rd party plugins to edit/digitize data.

#2 - 2016-05-23 10:56 AM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Feedback to Closed

closing for lack of feedback and because seems duplicate of #14711
